%global namedreltag  -groovy-2.0
%global namedversion %{version}%{?namedreltag}
%global nameddottag  %(echo %{?namedreltag} | tr - . )
Name:          spock
Version:       0.7
Release:       %mkrel 0.13%{?nameddottag}.2
Group:         Development/Java
Summary:       A testing and specification framework
License:       ASL 2.0
URL:           https://github.com/spockframework/spock
Source0:       https://github.com/spockframework/spock/archive/%{name}-%{namedversion}.tar.gz
Patch0:        0001-Build-with-Gradle-local-mode.patch

BuildRequires: gradle-local
BuildRequires: apache-parent

BuildRequires: ant
BuildRequires: antlr
BuildRequires: aopalliance
BuildRequires: apache-commons-cli
BuildRequires: cglib
BuildRequires: google-guice
BuildRequires: groovy >= 2.0
BuildRequires: hamcrest
BuildRequires: junit
BuildRequires: objenesis
BuildRequires: objectweb-asm

Requires:      java
BuildArch:     noarch

Obsoletes:     %{name}-javadoc < 0.7-0.5

%description
Spock is a testing and specification framework for Java and
Groovy applications.

%package core
Summary:       Spock Framework - Core Module

%description core
Spock Framework - Core Module.

%package guice
Summary:       Spock Framework - Guice Module

%description guice
Spock Framework - Guice Module provides support for
testing Guice 2/3 based applications.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}
%patch0 -p1
find . -name "*.class" -delete
find . -name "*.jar" -delete

# Enable local mode
perl -p -e "s/mavenCentral/xmvn()\n    mavenCentral/" build.gradle > build.gradle.temp
mv build.gradle.temp build.gradle

sed -i "s|sourceCompatibility = 1.5|sourceCompatibility = 1.6|" build.gradle

# We don't need these modules.
rm -rf spock-maven spock-specs spock-spring spock-tapestry spock-unitils
%mvn_package ":spock-{maven,specs,spring,tapestry,unitils}" __noinstall

%build

# install task used for generate pom files
%gradle_build -s -- -x javadoc

%install
%mvn_install

%files core -f .mfiles-spock-core
%license LICENSE NOTICE

%files guice -f .mfiles-spock-guice



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.7-0.13.groovy.2.0.2.mga6
+ Revision: 981766
- Second rebuild of the java stack

* Sat Feb 27 2016 daviddavid <daviddavid> 0.7-0.13.groovy.2.0.1.mga6
+ Revision: 979845
- First rebuild of the java stack

  + neoclust <neoclust>
    - sync package spock with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Jan 12 2015 daviddavid <daviddavid> 0.7-0.2.groovy.1.8.6.mga5
+ Revision: 810105
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 0.7-0.2.groovy.1.8.5.mga5
+ Revision: 748828
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7-0.2.groovy.1.8.4.mga5
+ Revision: 689289
- Mageia 5 Mass Rebuild

* Mon Jun 16 2014 dmorgan <dmorgan> 0.7-0.2.groovy.1.8.3.mga5
+ Revision: 636846
- Build with objectweb-asm3

* Mon Oct 21 2013 umeabot <umeabot> 0.7-0.2.groovy.1.8.2.mga4
+ Revision: 541275
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 0.7-0.2.groovy.1.8.1.mga4
+ Revision: 495439
- New version

* Thu Sep 12 2013 dmorgan <dmorgan> 0.6-0.3.3.mga4
+ Revision: 478193
- fixed google-guice in ant build script

* Mon Jan 14 2013 umeabot <umeabot> 0.6-0.3.2.mga3
+ Revision: 382525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 0.6-0.3.1.mga3
+ Revision: 293311
- imported package spock


* Wed Aug 29 2012 gil cattaneo <puntogil@libero.it> 0.6-0.3.groovy.1.8
- fixed guice depmap

* Thu Aug 02 2012 gil cattaneo <puntogil@libero.it> 0.6-0.2.groovy.1.8
- Removed nonexisting requires

* Wed Aug 01 2012 gil cattaneo <puntogil@libero.it> 0.6-0.1.groovy.1.8
- initial rpm
